import * as TencentCloudCommon from "tencentcloud-sdk-nodejs-common";
import { VerifyLicenseRequest, VerifyLicenseResponse } from "./cloudapp_models";
/**
 * cloudapp client
 * @class
 */
export declare class Client extends TencentCloudCommon.AbstractClient {
    constructor(clientConfig: TencentCloudCommon.ClientConfig);
    /**
     * 通过运行时roleId查询对应的软件 LICENSE
     */
    VerifyLicense(req?: VerifyLicenseRequest, cb?: (error: string, rep: VerifyLicenseResponse) => void): Promise<VerifyLicenseResponse>;
}
